scenario.plot<-function(model,timeline=c(5,52),
                        timeline.descr=c('health emergency declaration',
                                         'travel restrictions'),hyy=80){
pris<- ggplot(model,aes(x=time,y=active,group=contact,colour=contact))+
    geom_vline(xintercept=timeline,linetype='dotted',colour='lightblue')+
    geom_line(lwd=1)+
    scale_x_continuous(breaks=c(5,52,104),
                       labels=c("March 18", "May 4", "June 25"))+
#    scale_y_continuous(limits=c(0,190))+
    xlab('')+ylab("active cases")
for(i in 1:length(timeline))
    pris <- pris + annotate("text",x=timeline[i]+2,y=hyy,
                            label=timeline.descr[i],colour='grey40',
                            angle=90,hjust=0)
if(length(timeline)==1) lege<-'without travel restrictions'
else lege<-'with travel restrictions'
      pris <- pris + annotate("text",x=55,y=190,
                            label=lege,colour='grey40',
                            hjust=0)
pris<-pris+geom_point(aes(time,active),data=nl,size=1,
                     inherit.aes = FALSE)
   return(pris)
}

nl.pop=522e3
nl.data<-read.csv(file='../public_NL_SARS-CoV-2_data.csv',head=T)
nl.data$active<-nl.data$cumulative-nl.data$recovered-nl.data$deaths
nl<-data.frame(time=seq(1,length(nl.data$active)),active=nl.data$active)



library(ggplot2)
library(ggpubr)

x<-sc3$contact==40 | sc3$contact==50 | sc3$contact==60| sc3$contact==70 | sc3$contact==80
sc3p0o<-scenario.plot(sc3[x & sc3$ban==0,],5,'health emergency declaration')
sc3p1o<-scenario.plot(sc3[x & sc3$ban==1,])
sc3p0o$labels$colour<-"contact\nrates(%)"
sc3p1o$labels$colour<-"contact\nrates(%)"
ggarrange(sc3p1o, sc3p0o, nrow = 1,labels='auto',
          common.legend = TRUE,legend = "right")
ggsave('tr01_03.pdf',width=9,height=6)



fins3plot<-ggplot(fins3,aes(y=counts,x=contact,fill=ban))+
    geom_boxplot(notch=TRUE)+
    scale_x_discrete(name='contact rate (%)')+
    scale_y_continuous(name='total infections by week 9 after the travel restrictions')
fins3plot$labels$fill<-'travel restrictions'
fins3plot


x<-cumsi3tr$contact != 75 & cumsi3tr$contact != 80
abcum3plot<-ggplot(abcum3[x,],aes(y=counts,x=contact,fill=ban))+
    geom_boxplot(notch=TRUE)+
    scale_x_discrete(name='contact rate (%)')+
    scale_fill_manual(values=c('gold1','darkolivegreen3'))+
    scale_y_continuous(name='total infections after May 4')
abcum3plot$labels$fill<-'   travel\nrestrictions'
abcum3plot
cumsi3trplot<-ggplot(cumsi3tr[x,],aes(y=counts,x=contact,fill=ban))+
    geom_boxplot(notch=TRUE)+
    scale_x_discrete(name='contact rate (%)')+
    scale_fill_manual(values=c('gold1','darkolivegreen3'))+
    scale_y_continuous(name='total travel-related infections after May 4')
cumsi3trplot$labels$fill<-'   travel\nrestrictions'
cumsi3trplot
ggsave('tr02_03.pdf',width=9,height=6)
ggarrange(abcum3plot, cumsi3trplot,nrow = 1,common.legend = TRUE,legend = "right",labels='auto')
ggsave('tr04_03.pdf',width=9,height=6)



medis3<-data.frame(contact=seq(40,80,5),ban=c(rep('yes',9),
    rep('no',9)),medians=c(
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='40','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='45','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='50','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='55','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='60','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='65','counts']),
  median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='70','counts']),
    median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='75','counts']),
median(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='80','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='40','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='45','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='50','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='55','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='60','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='65','counts']),
median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='70','counts']),
median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='75','counts']),
  median(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='80','counts']))
)
medis3plot<-ggplot(medis3,aes(y=medians,x=contact,fill=ban))+
    geom_bar(stat="identity")+
    scale_x_continuous(name='contact rate (%)')#+
#   scale_fill_manual(values=c('gold1','darkolivegreen3'))#+
#    scale_y_continuous(name='median of number of travel related infections originated after the travel restrictions')
medis3plot$labels$colour<-'travel restrictions'
medis3plot




meais3<-rbind(data.frame(contact=seq(40,70,5),ban=c(rep('no',7),rep('yes',7)),
                         source=rep('prior',14),means=c(
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='40','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='45','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='50','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='55','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='60','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='65','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='no' & cumsi3nt$contact=='70','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='40','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='45','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='50','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='55','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='60','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='65','locals']),
  mean(cumsi3nt[cumsi3nt$ban=='yes' & cumsi3nt$contact=='70','locals']))
  ),
  data.frame(contact=seq(40,70,5),ban=c(rep('no',7),rep('yes',7)),
              source=rep('local',14),means=c(
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='40','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='45','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='50','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='55','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='60','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='65','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='70','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='40','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='45','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='50','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='55','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='60','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='65','nontravellers']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='70','nontravellers']))
  ),
  data.frame(contact=seq(40,70,5),ban=c(rep('no',7), rep('yes',7)),
             source=rep('travel',14),means=c(
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='40','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='45','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='50','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='55','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='60','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='65','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='no' & cumsi3tr$contact=='70','imports']),       
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='40','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='45','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='50','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='55','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='60','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='65','imports']),
  mean(cumsi3tr[cumsi3tr$ban=='yes' & cumsi3tr$contact=='70','imports']))
  ))
meais3$ban<-as.factor(meais3$ban)
meais3$ypos<-meais3$means
x<-meais3$source == 'prior'
y<-meais3$source == 'local'
z<-meais3$source == 'travel'
meais3$ypos[x]<-meais3$ypos[x]+meais3$ypos[y]+meais3$ypos[z]
meais3$ypos[y]<-meais3$ypos[y]+meais3$ypos[z]
meais3$ylab<-paste(round(meais3$means,1))
x<- meais3$means < 2
meais3$ylab[x]<-''
x<- meais3$ban == 'no'

meais3nope<-ggplot(meais3[x,],aes(y=means,x=contact,fill=source))+
    geom_bar(stat="identity")+ylim(0,71)+
    labs(x='contact rate (%)',
         y='mean infections after May 4')+
    annotate("text",x=38,y=71,label='without travel restrictions',colour='grey40',
                            hjust=0) +
    geom_text(aes(y=ypos,label=ylab), vjust=1.6, 
            color="white", size=3.5)+
    scale_fill_brewer(palette="Paired")+
    theme_minimal()
meais3nope

meais3oui<-ggplot(meais3[!x,],aes(y=means,x=contact,fill=source))+
    geom_bar(stat="identity")+ylim(0,71)+
    labs(x='contact rate (%)',
         y='')+
    annotate("text",x=38,y=71,label='with travel restictions',colour='grey40',
                            hjust=0) +
    geom_text(aes(y=ypos,label=ylab), vjust=1.6, 
            color="white", size=3.5)+
    scale_fill_brewer(palette="Paired")+
    theme_minimal()
meais3oui
ggarrange(meais3oui,meais3nope,nrow = 1,common.legend = TRUE,legend = "right",labels='auto')
ggsave('tr03_03.pdf',width=9,height=6)



x<-cumsi3tr$contact == 50
fs3_50<-abcum3[x,-3]
summary(fs3_50$counts[fs3_50$ban=='no'])
summary(fs3_50$counts[fs3_50$ban=='yes'])
table(fs3_50$counts[fs3_50$ban=='no']>80)
table(fs3_50$counts[fs3_50$ban=='yes']>80)


x<-cumsi3tr$contact == 55
fs3_55<-abcum3[x,-3]
summary(fs3_55$counts[fs3_55$ban=='no'])
summary(fs3_55$counts[fs3_55$ban=='yes'])
table(fs3_55$counts[fs3_55$ban=='no']>80)
table(fs3_55$counts[fs3_55$ban=='yes']>80)
