travel.scenario<-function(R0,changepoint,importation.rate,importation.timeline,
                   i0.pre,i0.cli=NULL,i0.sub=NULL,
                   gt.scale=5.67,gt.shape=2.83,
                   iso.rate=1.7,iso.shape=6.1,
                   subclinical.rate=0.3,subclinical.shape=3,
                   clinical.rate=0.25,clinical.shape=3,
                   p.subcli=0.15,pop.size=nl.pop,
                   lockdown=c(start=60,cases=20),
                   Runs=100,Days=365,verbose=FALSE){
    stopifnot(length(R0)==length(changepoint),
              length(importation.rate) == length(importation.timeline))
    distos<-s3ir.distos(gt.scale=gt.scale,gt.shape=gt.shape,
                      iso.rate=iso.rate,iso.shape=iso.shape,
                      subclinical.rate=subclinical.rate,
                      subclinical.shape=subclinical.shape,
                      clinical.rate=clinical.rate,
                      clinical.shape=clinical.shape,
                      p.subcli=0.15)
    risu<-data.frame()
    for( i in 1:Runs){
        ris0<-s3ir(R0=R0,changepoint=changepoint,
               importation.rate=importation.rate,
               importation.timeline=importation.timeline,
               Clinical=i0.cli,
               PreClinical=i0.pre,
               SubClinical=i0.sub,
               disto=distos,
               pop.size=pop.size,lockdown=lockdown,
               total.days=Days,verbose=verbose)
        risu<-rbind(risu,ris0[,c('time','I','C','Imports')])
    }
    risu.stats<-simulare.trends(risu,Days)
    names(risu.stats$mean)<-c('time','active','cumulative','imports')
    return(list(raw=risu,stats=risu.stats))
}


nl.pop=522e3
#R0  2.4 is 100% or normal. Simulations at 40-70 is steps of 5

sc3<-data.frame()
fini3<-data.frame()
fini3tr<-data.frame()
fini3nt<-data.frame()
for(r0 in seq(40,80,5)){
eval(parse(text=paste("sc",r0,"o <- travel.scenario(R0=c(4.27,0.72,",0.024*r0,"),changepoint=c(1,18,52),importation.rate=c(3,0)/30,importation.timeline=c(1,52),i0.cli=c(0,0,1,1),i0.pre=c(2,1),i0.sub=0,lockdown=c(start=365,cases=20),verbose=FALSE,Days=115,Runs=1000)",sep='')))
eval(parse(text=paste("sc",r0,"u <- travel.scenario(R0=c(4.27,0.72,",0.024*r0,"),changepoint=c(1,18,52),importation.rate=c(3,0)/30,importation.timeline=c(1,52),i0.cli=c(0,0,1,1),i0.pre=c(2,1),i0.sub=0,lockdown=c(start=365,cases=20),verbose=FALSE,Days=115,Runs=1000)",sep='')))

eval(parse(text=paste("sc",r0,"tb <- travel.scenario(R0=c(4.27,0.72,",0.024*r0,"),changepoint=c(1,18,52),importation.rate=c(0,0.24)/30,importation.timeline=c(1,52),i0.cli=0,i0.pre=0,i0.sub=0,lockdown=c(start=365,cases=20),verbose=FALSE,Days=115,Runs=1000)",sep='')))

eval(parse(text=paste("sc",r0,"nb <- travel.scenario(R0=c(4.27,0.72,",0.024*r0,"),changepoint=c(1,18,52),importation.rate=c(0,3)/30,importation.timeline=c(1,52),i0.cli=0,i0.pre=0,i0.sub=0,lockdown=c(start=365,cases=20),verbose=FALSE,Days=115,Runs=1000)",sep='')))

eval(parse(text=paste("sc3 <- rbind(sc3,data.frame(time=sc",r0,"o$stats$mean$time,active=sc",r0,"o$stats$mean$active+sc",r0,"tb$stats$mean$active,ban=rep(1,115),contact=rep(",r0,",115)))",sep='')))
eval(parse(text=paste("sc3 <- rbind(sc3,data.frame(time=sc",r0,"u$stats$mean$time,active=sc",r0,"u$stats$mean$active+sc",r0,"nb$stats$mean$active,ban=rep(0,115),contact=rep(",r0,",115)))",sep='')))

eval(parse(text=paste("fini3<-rbind(fini3,data.frame(time=sc",r0,"u$raw$time,counts=sc",r0,"o$raw$C+sc",r0,"tb$raw$C,ban=rep('yes',115),contact=rep(",r0,",115)))",sep='')))
eval(parse(text=paste("fini3<-rbind(fini3,data.frame(time=sc",r0,"o$raw$time,counts=sc",r0,"u$raw$C+sc",r0,"nb$raw$C,ban=rep('no',115),contact=rep(",r0,",115)))",sep='')))

eval(parse(text=paste("fini3tr<-rbind(fini3tr,data.frame(time=sc",r0,"tb$raw$time,counts=sc",r0,"tb$raw$C,imports=sc",r0,"tb$raw$Imports,ban=rep('yes',115),contact=rep(",r0,",115)))",sep='')))
eval(parse(text=paste("fini3tr<-rbind(fini3tr,data.frame(time=sc",r0,"nb$raw$time,counts=sc",r0,"nb$raw$C,imports=sc",r0,"nb$raw$Imports,ban=rep('no',115),contact=rep(",r0,",115)))",sep='')))

eval(parse(text=paste("fini3nt<-rbind(fini3nt,data.frame(time=sc",r0,"o$raw$time,counts=sc",r0,"o$raw$C,ban=rep('yes',115),contact=rep(",r0,",115)))",sep='')))
eval(parse(text=paste("fini3nt<-rbind(fini3nt,data.frame(time=sc",r0,"u$raw$time,counts=sc",r0,"u$raw$C,ban=rep('no',115),contact=rep(",r0,",115)))",sep='')))
}
sc3$contact<-as.factor(sc3$contact)
sc3$ban<-as.factor(sc3$ban)
y<-fini3$time==52
y<-fini3$counts[y]
x<-fini3$time==115
fins3<-fini3[x,-1]
fins3$counts<-as.numeric(fins3$counts)
fins3$ban<-as.factor(fins3$ban)
fins3$contact<-as.factor(fins3$contact)
cumsi3<-fini3[x,-1]
cumsi3$counts<-as.numeric(cumsi3$counts)
cumsi3$ban<-as.factor(cumsi3$ban)
cumsi3$contact<-as.factor(cumsi3$contact)
abcum3<-cumsi3
abcum3$counts<-abcum3$counts-y
x<-fini3tr$time==115
cumsi3tr<-fini3tr[x,-1]
cumsi3tr$ban<-as.factor(cumsi3tr$ban)
cumsi3tr$contact<-as.factor(cumsi3tr$contact)
cumsi3tr$nontravellers <- cumsi3tr$counts-cumsi3tr$imports
x<-fini3nt$time==115
y<-fini3nt$time==52
y<-fini3nt$counts[y]
cumsi3nt<-fini3nt[x,-1]
cumsi3nt$ban<-as.factor(cumsi3nt$ban)
cumsi3nt$contact<-as.factor(cumsi3nt$contact)
cumsi3nt$locals <- cumsi3nt$counts-y
rm(x,y)
